Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deRenderTexture Class Reference

`#include <deRenderStates_priv.hpp>`

Inheritance diagram for deRenderTexture:

[legend]
Collaboration diagram for deRenderTexture:

[legend]
List of all members.

## Public Member Functions
| deRenderTexture ()
friend | __declspec (dllexport) deBoolean IdeRenderState_SetDefaultTextureFilters(long MinFilter
IdeRenderState::Type | GetRSType () const
void * | GetRSInterface (IdeRenderState::Type type) const
deBoolean | DeSerializeLoad ()
deBoolean | SetColorOperation (long Stage, TextureOp ColorOp)
| Set the Texture Stage's color operation.
deBoolean | SetAlphaOperation (long Stage, TextureOp AlphaOp)
| Set the Texture Stage's alpha operation.
TextureOp | GetColorOperation (long Stage) const
TextureOp | GetAlphaOperation (long Stage) const
deBoolean | SetResultTarget (long Stage, TextureArg Target)
| Set where the result of this operation will go - either PREVIOUS or TEMPREG.
TextureArg | GetResultTarget (long Stage)
deBoolean | SetColorArg (long Stage, long ArgNum, TextureArg Arg)
deBoolean | SetAlphaArg (long Stage, long ArgNum, TextureArg Arg)
TextureArg | GetColorArg (long Stage, long ArgNum) const
TextureArg | GetAlphaArg (long Stage, long ArgNum) const
deBoolean | SetBitmap (long Stage, IdeBitmapProxy *Bitmap)
| Set the Texture Stage's source bitmap.
IdeBitmapProxy * | GetBitmap (long Stage) const
| Retrieve the Texture Stage's source bitmap.
deBoolean | SetTextureAddressU (long Stage, TextureAddress Address)
| Set the Texture Stage's U (horizontal) addressing mode.
deBoolean | SetTextureAddressV (long Stage, TextureAddress Address)
| Set the Texture Stage's V (vertical) addressing mode.
TextureAddress | GetTextureAddressU (long Stage) const
TextureAddress | GetTextureAddressV (long Stage) const
deBoolean | SetTextureMinFilter (long Stage, TextureFilter Filter)
| Set the Texture Stage's minification filter (when more than 1 texel is in a screen pixel).
deBoolean | SetTextureMagFilter (long Stage, TextureFilter Filter)
| Set the Texture Stage's magnification filter (when 1 texel affects more than 1 screen pixel).
deBoolean | SetTextureMipFilter (long Stage, TextureFilter Filter)
| Set the Texture Stage's mipmap filter (when blending between two mipmaps).
TextureFilter | GetTextureMinFilter (long Stage) const
TextureFilter | GetTextureMagFilter (long Stage) const
TextureFilter | GetTextureMipFilter (long Stage) const
deBoolean | SetTexCoordSource (long Stage, long SourceStage)
deBoolean | SetTexCoordGen (long Stage, TextureCoordSource SourcePipe, long CopyWrapModeStage)
deBoolean | GetTexCoordSource (long Stage, long &SourceStage, TextureCoordSource &SourceFlags)
long | GetTexCoordSourceCombined (long Stage)
deBoolean | SetTextureProjection (long Stage, deBoolean Enable)
deBoolean | GetTextureProjection (long Stage)
deBoolean | CopyStageSettings (IdeRenderTexture *Target, long SourceStage, long TargetStage) const
## Public Attributes
| WorldObjectClassDef
## Protected Member Functions
| ~deRenderTexture ()
## Private Attributes
deBoolean | m_EnableMipMaps
deBoolean | m_TextureProjection [TEXTURESTAGE_COUNT]
TextureArg | m_ColorArgs [TEXTURESTAGE_COUNT][4]
TextureArg | m_AlphaArgs [TEXTURESTAGE_COUNT][3]
TextureOp | m_ColorOperation [TEXTURESTAGE_COUNT]
TextureOp | m_AlphaOperation [TEXTURESTAGE_COUNT]
IdeBitmapProxy * | m_Bitmaps [TEXTURESTAGE_COUNT]
TextureAddress | m_TextureAddressU [TEXTURESTAGE_COUNT]
TextureAddress | m_TextureAddressV [TEXTURESTAGE_COUNT]
TextureFilter | m_TextureFilterMin [TEXTURESTAGE_COUNT]
TextureFilter | m_TextureFilterMag [TEXTURESTAGE_COUNT]
TextureFilter | m_TextureFilterMip [TEXTURESTAGE_COUNT]
long | m_TexCoordSource [TEXTURESTAGE_COUNT]
deIDPair | m_CachedBitmapIDs [TEXTURESTAGE_COUNT]
## Static Private Attributes
TextureFilter | DefaultMinFilter = IdeRenderTexture::TEXTUREFILTER_POINT
TextureFilter | DefaultMagFilter = IdeRenderTexture::TEXTUREFILTER_LINEAR
TextureFilter | DefaultMipFilter = IdeRenderTexture::TEXTUREFILTER_POINT
deBoolean | DefaultToMip = deTRUE
## Friends
long | MagFilter
long long | MipFilter
long long deBoolean | EnableMip

## Constructor & Destructor Documentation

deRenderTexture::~deRenderTexture | ( |  | ) | `[protected]`

deRenderTexture::deRenderTexture | ( |  | ) |

## Member Function Documentation

deRenderTexture::__declspec | ( | dllexport |  | ) |

deBoolean deRenderTexture::CopyStageSettings | ( | IdeRenderTexture * | Target,
|  | long | SourceStage,
|  | long | TargetStage
| ) | const`[virtual]`

| Implements IdeRenderTexture.

deBoolean deRenderTexture::DeSerializeLoad | ( |  | ) | `[virtual]`

| Call after all objects in a world have been loaded, to allow pointers to be correctly resolved from World and Object ID's Reimplemented from deWorldObject.

IdeRenderTexture::TextureArg deRenderTexture::GetAlphaArg | ( | long | Stage,
|  | long | ArgNum
| ) | const`[virtual]`

| Implements IdeRenderTexture.

IdeRenderTexture::TextureOp deRenderTexture::GetAlphaOperation | ( | long | Stage | ) | const`[virtual]`

| Implements IdeRenderTexture.

IdeBitmapProxy * deRenderTexture::GetBitmap | ( | long | Stage | ) | const`[virtual]`

| Retrieve the Texture Stage's source bitmap. Implements IdeRenderTexture.

IdeRenderTexture::TextureArg deRenderTexture::GetColorArg | ( | long | Stage,
|  | long | ArgNum
| ) | const`[virtual]`

| Implements IdeRenderTexture.

IdeRenderTexture::TextureOp deRenderTexture::GetColorOperation | ( | long | Stage | ) | const`[virtual]`

| Implements IdeRenderTexture.

IdeRenderTexture::TextureArg deRenderTexture::GetResultTarget | ( | long | Stage | ) | `[virtual]`

| Implements IdeRenderTexture.

void * deRenderTexture::GetRSInterface | ( | IdeRenderState::Type | type | ) | const`[virtual]`

| Implements IdeRenderState.

IdeRenderState::Type deRenderTexture::GetRSType | ( |  | ) | const`[virtual]`

| Implements IdeRenderTexture.

deBoolean deRenderTexture::GetTexCoordSource | ( | long | Stage,
|  | long & | SourceStage,
|  | TextureCoordSource & | SourceFlags
| ) | `[virtual]`

| Implements IdeRenderTexture.

long deRenderTexture::GetTexCoordSourceCombined | ( | long | Stage | ) | `[virtual]`

| Implements IdeRenderTexture.

deRenderTexture::TextureAddress deRenderTexture::GetTextureAddressU | ( | long | Stage | ) | const`[virtual]`

| Implements IdeRenderTexture.

deRenderTexture::TextureAddress deRenderTexture::GetTextureAddressV | ( | long | Stage | ) | const`[virtual]`

| Implements IdeRenderTexture.

IdeRenderTexture::TextureFilter deRenderTexture::GetTextureMagFilter | ( | long | Stage | ) | const`[virtual]`

| Implements IdeRenderTexture.

IdeRenderTexture::TextureFilter deRenderTexture::GetTextureMinFilter | ( | long | Stage | ) | const`[virtual]`

| Implements IdeRenderTexture.

IdeRenderTexture::TextureFilter deRenderTexture::GetTextureMipFilter | ( | long | Stage | ) | const`[virtual]`

| Implements IdeRenderTexture.

deBoolean deRenderTexture::GetTextureProjection | ( | long | Stage | ) | `[virtual]`

| Implements IdeRenderTexture.

deBoolean deRenderTexture::SetAlphaArg | ( | long | Stage,
|  | long | ArgNum,
|  | TextureArg | Arg
| ) | `[virtual]`

  | Set the Texture Stage's alpha input argument Parameters:
  ArgNum | min:1 max:3
Implements IdeRenderTexture.

deBoolean deRenderTexture::SetAlphaOperation | ( | long | Stage,
|  | TextureOp | AlphaOp
| ) | `[virtual]`

| Set the Texture Stage's alpha operation. Implements IdeRenderTexture.

deBoolean deRenderTexture::SetBitmap | ( | long | Stage,
|  | IdeBitmapProxy * | Bitmap
| ) | `[virtual]`

| Set the Texture Stage's source bitmap. Implements IdeRenderTexture.

deBoolean deRenderTexture::SetColorArg | ( | long | Stage,
|  | long | ArgNum,
|  | TextureArg | Arg
| ) | `[virtual]`

  | Set the Texture Stage's color input argument Parameters:
  ArgNum | min:1 max:3
Implements IdeRenderTexture.

deBoolean deRenderTexture::SetColorOperation | ( | long | Stage,
|  | TextureOp | ColorOp
| ) | `[virtual]`

| Set the Texture Stage's color operation. Implements IdeRenderTexture.

deBoolean deRenderTexture::SetResultTarget | ( | long | Stage,
|  | TextureArg | Target
| ) | `[virtual]`

| Set where the result of this operation will go - either PREVIOUS or TEMPREG. Implements IdeRenderTexture.

deBoolean deRenderTexture::SetTexCoordGen | ( | long | Stage,
|  | TextureCoordSource | SourcePipe,
|  | long | CopyWrapModeStage
| ) | `[virtual]`

| Implements IdeRenderTexture.

deBoolean deRenderTexture::SetTexCoordSource | ( | long | Stage,
|  | long | SourceStage
| ) | `[virtual]`

| Implements IdeRenderTexture.

deBoolean deRenderTexture::SetTextureAddressU | ( | long | Stage,
|  | TextureAddress | Address
| ) | `[virtual]`

| Set the Texture Stage's U (horizontal) addressing mode. Implements IdeRenderTexture.

deBoolean deRenderTexture::SetTextureAddressV | ( | long | Stage,
|  | TextureAddress | Address
| ) | `[virtual]`

| Set the Texture Stage's V (vertical) addressing mode. Implements IdeRenderTexture.

deBoolean deRenderTexture::SetTextureMagFilter | ( | long | Stage,
|  | TextureFilter | Filter
| ) | `[virtual]`

| Set the Texture Stage's magnification filter (when 1 texel affects more than 1 screen pixel). Implements IdeRenderTexture.

deBoolean deRenderTexture::SetTextureMinFilter | ( | long | Stage,
|  | TextureFilter | Filter
| ) | `[virtual]`

| Set the Texture Stage's minification filter (when more than 1 texel is in a screen pixel). Implements IdeRenderTexture.

deBoolean deRenderTexture::SetTextureMipFilter | ( | long | Stage,
|  | TextureFilter | Filter
| ) | `[virtual]`

| Set the Texture Stage's mipmap filter (when blending between two mipmaps). Implements IdeRenderTexture.

deBoolean deRenderTexture::SetTextureProjection | ( | long | Stage,
|  | deBoolean | Enable
| ) | `[virtual]`

| Implements IdeRenderTexture.

## Friends And Related Function Documentation

friend long long deBoolean EnableMip`[friend]`

friend long MagFilter`[friend]`

friend long long MipFilter`[friend]`

## Member Data Documentation

IdeRenderTexture::TextureFilter deRenderTexture::DefaultMagFilter = IdeRenderTexture::TEXTUREFILTER_LINEAR`[static, private]`

IdeRenderTexture::TextureFilter deRenderTexture::DefaultMinFilter = IdeRenderTexture::TEXTUREFILTER_POINT`[static, private]`

IdeRenderTexture::TextureFilter deRenderTexture::DefaultMipFilter = IdeRenderTexture::TEXTUREFILTER_POINT`[static, private]`

deBoolean deRenderTexture::DefaultToMip = deTRUE`[static, private]`

TextureArg deRenderTexture::m_AlphaArgs[TEXTURESTAGE_COUNT][3]`[private]`

TextureOp deRenderTexture::m_AlphaOperation[TEXTURESTAGE_COUNT]`[private]`

IdeBitmapProxy* deRenderTexture::m_Bitmaps[TEXTURESTAGE_COUNT]`[private]`

deIDPair deRenderTexture::m_CachedBitmapIDs[TEXTURESTAGE_COUNT]`[private]`

TextureArg deRenderTexture::m_ColorArgs[TEXTURESTAGE_COUNT][4]`[private]`

TextureOp deRenderTexture::m_ColorOperation[TEXTURESTAGE_COUNT]`[private]`

deBoolean deRenderTexture::m_EnableMipMaps`[private]`

long deRenderTexture::m_TexCoordSource[TEXTURESTAGE_COUNT]`[private]`

TextureAddress deRenderTexture::m_TextureAddressU[TEXTURESTAGE_COUNT]`[private]`

TextureAddress deRenderTexture::m_TextureAddressV[TEXTURESTAGE_COUNT]`[private]`

TextureFilter deRenderTexture::m_TextureFilterMag[TEXTURESTAGE_COUNT]`[private]`

TextureFilter deRenderTexture::m_TextureFilterMin[TEXTURESTAGE_COUNT]`[private]`

TextureFilter deRenderTexture::m_TextureFilterMip[TEXTURESTAGE_COUNT]`[private]`

deBoolean deRenderTexture::m_TextureProjection[TEXTURESTAGE_COUNT]`[private]`

deRenderTexture::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deRenderStates_priv.hpp
- RenderTexture.cpp